import request from '@/utils/request'

// 查询产权类型列表
export function listNature(data) {
  return request({
    url: '/tNature/list',
    method: 'post',
    data: data
  })
}

// 查询产权类型详细
export function getNature(id) {
  return request({
    url: '/tNature/' + id,
    method: 'get'
  })
}

// 新增产权类型
export function addNature(data) {
  return request({
    url: '/tNature',
    method: 'post',
    data: data
  })
}

// 修改产权类型
export function updateNature(data) {
  return request({
    url: '/tNature',
    method: 'put',
    data: data
  })
}

// 删除产权类型
export function delNature(id) {
  return request({
    url: '/tNature/' + id,
    method: 'delete'
  })
}

// 导出产权类型
export function exportNature(query) {
  return request({
    url: '/tNature/export',
    method: 'get',
    params: query
  })
}
